//
//  PanRecViewController.swift
//  GestureRecognizing
//
//  Created by admin on 31.05.17.
//  Copyright © 2017 admin. All rights reserved.
//

import UIKit

class PanRecViewController: UIViewController {

    @IBOutlet weak var apple: UIImageView!
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        let panRecognizer = UIPanGestureRecognizer(target: self, action: #selector(handlePan))
        
        
        self.apple.addGestureRecognizer(panRecognizer)
        
        self.apple.isUserInteractionEnabled = true
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    func handlePan(gr : UIPanGestureRecognizer){
        
        
        if gr.state == .began || gr.state == .changed {
            
            
            let translation:CGPoint = gr.translation(in: self.view)
            
            self.apple.center = CGPoint(x:self.apple.center.x + translation.x,
                                        y:self.apple.center.y + translation.y)
            
            
            gr.setTranslation(CGPoint.zero, in: self.view)
            
            
            
        }
        
        
        
    }
    

    
}
