//
//  ViewController.swift
//  GestureRecognizing
//
//  Created by admin on 31.05.17.
//  Copyright © 2017 admin. All rights reserved.
//

import UIKit

class TapRecViewController: UIViewController {

    @IBOutlet weak var apple: UIImageView!
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        
        let tapRecognizer = UITapGestureRecognizer(target: self, action: #selector(handleTap))
        
        
        self.view.addGestureRecognizer(tapRecognizer)
        
        self.view.isUserInteractionEnabled = true
        
        
        
    }
    
    
    
    func handleTap(gestureRecognizer : UITapGestureRecognizer){
        
        let center = gestureRecognizer.location(in: self.view)
        
        self.apple.center = CGPoint(x:center.x, y:center.y)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

